var board =[1,2,3,4,5,6,7,8,9];
var turn = 0;

function move(square){
    // we need to identify which ID the player has clicked on
    // each cell is indiviudally identified by "cell1" and "cell2"
    // so we concatinate the word "cell" with whatever parameter
    // is passed into the function. We assign the full value to a
    // variable named "target_id": 
    var target_id = "cell" + square;
    
    // this is where we need to determine if this is a valid (legal) move.
    // the includes function is very helpful for us here! 
    //https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/includes

    if (board.includes(square)) {
        // aha! :-)  This must mean we have a valid move!
        // below is where we replace the original inner html with an X:
        document.getElementById(target_id).innerHTML="X"; 

        // we also need to update the board array by removing the space
        // the player just clicked on. There are two steps to this process.
        // the first step is to figure out WHERE (what index) of the array we 
        // can find the value. The second step is then to remove that index
        // at that index. We must include a check  -1, becuase if the value isn't in
        // our array, -1 will erase the last element from the array!
        //
        // The key thing to know here is everytime a player (computer or human)
        // makes a move we REMOVE that number from the tic-tac-toe board
        
        var index = board.indexOf(square);
        if (index > -1) {
            board.splice(index, 1);
        }

        //of course, we need to increment the variable "turn":
        turn += 1;

        // once we increment the variable we should display it:
        document.getElementById("turn").innerHTML = "Turn: " + turn;

        // and of course THIS is where the computer should move.
        // the computer should only move in a 

    } else {
        console.log('invalid move');
    }









}



